[cyber] I: Sisyphus-20231010 x86_64 beehive_status: +5 -14 (158)

ALT beekeeper hiver altlinux.org
10 07:41:31 MSK 2023


	5 NEW error logs

R-base-4.2.2-alt1
	width.SJ				html
	write.matrix				html
	wtloss					html
	** building package indices
	** testing if installed package can be loaded
	* DONE (MASS)
	Making 'packages.html' ... done
	make[2]: Leaving directory '/usr/src/RPM/BUILD/R-4.2.2/src/library/Recommended'
	make[1]: *** [Makefile:39: recommended-packages] Error 2
	make: *** [Makefile:77: stamp-recommended] Error 2

fbi-2.14-alt2
	[49/61] Compiling C object kbdtest.p/kbdtest.c.o
	FAILED: kbdtest.p/kbdtest.c.o
	cc -Ikbdtest.p -I. -I.. -fdiagnostics-color=always -D_FILE_OFFSET_BITS=64 -Wall
	-Winvalid-pch -std=gnu99 -O2 -g -Wno-pointer-sign -D_GNU_SOURCE=1 -include config.h
	-pipe -frecord-gcc-switches -Wall -g -O2 -flto=auto -MD -MQ kbdtest.p/kbdtest.c.o -MF
	kbdtest.p/kbdtest.c.o.d -o kbdtest.p/kbdtest.c.o -c ../kbdtest.c
	In file included from ../kbdtest.c:21:
	../xkbname.h:249:11: error: ‘XKB_KEY_dead_lowline’ undeclared here (not in a function);
	did you mean ‘XKB_KEY_dead_belowring’?
	249 | { .code = XKB_KEY_dead_lowline	, .name = "dead_lowline" },
	|	    XKB_KEY_dead_belowring
	../xkbname.h:250:11: error: ‘XKB_KEY_dead_aboveverticalline’ undeclared here (not
	in a function); did you mean ‘XKB_KEY_dead_abovering’?
	250 | { .code = XKB_KEY_dead_aboveverticalline, .name = "dead_aboveverticalline" },
	|	    XKB_KEY_dead_abovering
	../xkbname.h:251:11: error: ‘XKB_KEY_dead_belowverticalline’ undeclared here (not
	in a function); did you mean ‘XKB_KEY_dead_belowtilde’?
	251 | { .code = XKB_KEY_dead_belowverticalline, .name = "dead_belowverticalline" },
	|	    XKB_KEY_dead_belowtilde
	../xkbname.h:252:11: error: ‘XKB_KEY_dead_longsolidusoverlay’ undeclared here
	(not in a function)
	252 | { .code = XKB_KEY_dead_longsolidusoverlay, .name = "dead_longsolidusoverlay" },

python3-module-mkdocs-1.5.2-alt1
	..........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................E...............................................s......................................................s..............s..............s..........................................................................................................
	ERROR: test_watch_with_broken_symlinks
	(mkdocs.tests.livereload_tests.BuildTests.test_watch_with_broken_symlinks)
	Traceback (most recent call last):
	--
	paths = [os.path.join(root, entry.name) for entry in self.listdir(root)]
	OSError: [Errno 40] Too many levels of symbolic links:
	'/usr/src/tmp/mkdocs_test-m1p5at86/subdir/circular/subdir/circular/subdir/circular/subdir/circular/subdir/circular/subdir/circular/subdir/circular/subdir/circular/subdir/circular/subdir/circular/subdir/circular/subdir/circular/subdir/circular/subdir/circular/subdir/circular/subdir/circular/subdir/circular/subdir/circular/subdir/circular/subdir/circular/subdir/circular/subdir/circular'
	Ran 714 tests in 10.028s
	FAILED (errors=1, skipped=4)
	INFO	 : Command's result: FAILURE
	INFO	 : Command's error: Command '['python3', '-m', 'unittest', 'discover', '-p',
	'*tests.py', 'mkdocs', '--top-level-directory', '.']' returned non-zero exit status 1.
	error: Bad exit status from /usr/src/tmp/rpm-tmp.57608 (%check)

qt5-base-5.15.10-alt1
	rm -f ../../lib/libQt5Widgets.so.5.15.10
	mv -f libQt5Widgets.so.5.15.10 ../../lib/libQt5Widgets.so.5.15.10
	rm -f ../../lib/libQt5Widgets.so
	rm -f ../../lib/libQt5Widgets.so.5
	rm -f ../../lib/libQt5Widgets.so.5.15
	mv -f libQt5Widgets.so ../../lib/libQt5Widgets.so
	mv -f libQt5Widgets.so.5 ../../lib/libQt5Widgets.so.5
	mv -f libQt5Widgets.so.5.15 ../../lib/libQt5Widgets.so.5.15
	make[2]: Leaving directory '/usr/src/RPM/BUILD/qtbase-everywhere-src-5.15.10/src/widgets'
	make: *** [Makefile:51: sub-src-make_first] Error 2

qt6-base-6.4.2-alt3
	[947/3061] /usr/bin/c++ -DENABLE_PIXMAN_DRAWHELPERS -DGui_EXPORTS -DMD4C_USE_UTF8
	-DQT_ASCII_CAST_WARNINGS -DQT_BUILDING_QT -DQT_BUILD_GUI_LIB -DQT_CORE_LIB
	-DQT_DBUS_LIB -DQT_DEPRECATED_WARNINGS -DQT_DEPRECATED_WARNINGS_SINCE=0x070000
	-DQT_DISABLE_DEPRECATED_BEFORE=0x050000 -DQT_LEAN_HEADERS=1 -DQT_MOC_COMPAT
	-DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_EXCEPTIONS -DQT_NO_FOREACH
	-DQT_NO_JAVA_STYLE_ITERATORS -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
	-DQT_NO_USING_NAMESPACE -DQT_QPA_DEFAULT_PLATFORM_NAME=\"xcb\"
	-DQT_USE_QSTRINGBUILDER -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/src/gui/Gui_autogen/include
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/include
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/include/QtGui
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/src/gui
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/src/gui
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/src/gui/../3rdparty/VulkanMemoryAllocator
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/include/QtGui/6.4.2
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/include/QtGui/6.4.2/QtGui
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/src/gui/../3rdparty/md4c
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/include/QtCore
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/mkspecs/linux-g++
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/src/corelib
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/include/QtCore/6.4.2
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/include/QtCore/6.4.2/QtCore
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/include/QtDBus -isystem
	/usr/include/harfbuzz -isystem /usr/include/freetype2 -isystem /usr/include/libpng16
	-isystem /usr/include/glib-2.0 -isystem /usr/lib64/glib-2.0/include
	-pipe -frecord-gcc-switches -Wall -g -O2  -fPIC -DPIC -g -DNDEBUG -O3
	-std=c++17 -flto=auto -fno-fat-lto-objects -fPIC -fvisibility=hidden
	-fvisibility-inlines-hidden -Wall -Wextra -fno-exceptions -Wsuggest-override
	-MD -MT src/gui/CMakeFiles/Gui.dir/platform/unix/qxkbcommon.cpp.o
	-MF src/gui/CMakeFiles/Gui.dir/platform/unix/qxkbcommon.cpp.o.d
	-o src/gui/CMakeFiles/Gui.dir/platform/unix/qxkbcommon.cpp.o -c
	/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/src/gui/platform/unix/qxkbcommon.cpp
	FAILED: src/gui/CMakeFiles/Gui.dir/platform/unix/qxkbcommon.cpp.o
	/usr/bin/c++ -DENABLE_PIXMAN_DRAWHELPERS -DGui_EXPORTS -DMD4C_USE_UTF8
	-DQT_ASCII_CAST_WARNINGS -DQT_BUILDING_QT -DQT_BUILD_GUI_LIB -DQT_CORE_LIB
	-DQT_DBUS_LIB -DQT_DEPRECATED_WARNINGS -DQT_DEPRECATED_WARNINGS_SINCE=0x070000
	-DQT_DISABLE_DEPRECATED_BEFORE=0x050000 -DQT_LEAN_HEADERS=1 -DQT_MOC_COMPAT
	-DQT_NO_CAST_TO_ASCII -DQT_NO_DEBUG -DQT_NO_EXCEPTIONS -DQT_NO_FOREACH
	-DQT_NO_JAVA_STYLE_ITERATORS -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
	-DQT_NO_USING_NAMESPACE -DQT_QPA_DEFAULT_PLATFORM_NAME=\"xcb\"
	-DQT_USE_QSTRINGBUILDER -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/src/gui/Gui_autogen/include
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/include
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/include/QtGui
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/src/gui
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/src/gui
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/src/gui/../3rdparty/VulkanMemoryAllocator
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/include/QtGui/6.4.2
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/include/QtGui/6.4.2/QtGui
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/src/gui/../3rdparty/md4c
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/include/QtCore
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/mkspecs/linux-g++
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/src/corelib
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/include/QtCore/6.4.2
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/include/QtCore/6.4.2/QtCore
	-I/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/BUILD/include/QtDBus -isystem
	/usr/include/harfbuzz -isystem /usr/include/freetype2 -isystem /usr/include/libpng16
	-isystem /usr/include/glib-2.0 -isystem /usr/lib64/glib-2.0/include
	-pipe -frecord-gcc-switches -Wall -g -O2  -fPIC -DPIC -g -DNDEBUG -O3
	-std=c++17 -flto=auto -fno-fat-lto-objects -fPIC -fvisibility=hidden
	-fvisibility-inlines-hidden -Wall -Wextra -fno-exceptions -Wsuggest-override
	-MD -MT src/gui/CMakeFiles/Gui.dir/platform/unix/qxkbcommon.cpp.o
	-MF src/gui/CMakeFiles/Gui.dir/platform/unix/qxkbcommon.cpp.o.d
	-o src/gui/CMakeFiles/Gui.dir/platform/unix/qxkbcommon.cpp.o -c
	/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/src/gui/platform/unix/qxkbcommon.cpp
	/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/src/gui/platform/unix/qxkbcommon.cpp:242:16:
	error: 'XKB_KEY_dead_lowline' was not declared in this scope; did you mean
	'XKB_KEY_dead_belowring'?
	242 |	      Xkb2Qt<XKB_KEY_dead_lowline,	      Qt::Key_Dead_Lowline>,
	|		 XKB_KEY_dead_belowring
	/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/src/gui/platform/unix/qxkbcommon.cpp:242:69:
	error: template argument 1 is invalid
	242 |	      Xkb2Qt<XKB_KEY_dead_lowline,	      Qt::Key_Dead_Lowline>,
	/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/src/gui/platform/unix/qxkbcommon.cpp:243:16:
	error: 'XKB_KEY_dead_aboveverticalline' was not declared in this scope; did you mean
	'XKB_KEY_dead_abovering'?
	243 |	      Xkb2Qt<XKB_KEY_dead_aboveverticalline,  Qt::Key_Dead_Aboveverticalline>,
	|		 XKB_KEY_dead_abovering
	/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/src/gui/platform/unix/qxkbcommon.cpp:243:79:
	error: template argument 1 is invalid
	243 |	      Xkb2Qt<XKB_KEY_dead_aboveverticalline,  Qt::Key_Dead_Aboveverticalline>,
	/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/src/gui/platform/unix/qxkbcommon.cpp:244:16:
	error: 'XKB_KEY_dead_belowverticalline' was not declared in this scope; did you mean
	'XKB_KEY_dead_belowtilde'?
	244 |	      Xkb2Qt<XKB_KEY_dead_belowverticalline,  Qt::Key_Dead_Belowverticalline>,
	|		 XKB_KEY_dead_belowtilde
	/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/src/gui/platform/unix/qxkbcommon.cpp:244:79:
	error: template argument 1 is invalid
	244 |	      Xkb2Qt<XKB_KEY_dead_belowverticalline,  Qt::Key_Dead_Belowverticalline>,
	/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/src/gui/platform/unix/qxkbcommon.cpp:245:16:
	error: 'XKB_KEY_dead_longsolidusoverlay' was not declared in this scope
	245 |	      Xkb2Qt<XKB_KEY_dead_longsolidusoverlay, Qt::Key_Dead_Longsolidusoverlay>,
	/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/src/gui/platform/unix/qxkbcommon.cpp:245:80:
	error: template argument 1 is invalid
	245 |	      Xkb2Qt<XKB_KEY_dead_longsolidusoverlay, Qt::Key_Dead_Longsolidusoverlay>,
	/usr/src/RPM/BUILD/qtbase-everywhere-src-6.4.2/src/gui/platform/unix/qxkbcommon.cpp:392:5:
	error: template argument 157 is invalid
	392 |	  >::Data{}

	14 error logs REMOVED from the list
fleet-commander-admin-0.15.1-alt12
fprintd-1.94.2-alt1
libgupnp-igd-1.6.0-alt1
mumps-5.3.5-alt3
perl-Server-Starter-0.35-alt1.1
perl-Tie-DBI-1.08-alt1
php8.1-memcache-8.2-alt8.1.23.alt1
python3-module-easyprocess-1.1-alt2
python3-module-zmq-24.0.1-alt1.1.1
qemu-checkinstall-2-alt1
rosegarden-21.06-alt1
watchexec-1.22.3-alt1
xdg-desktop-portal-1.18.0-alt1
xreader-3.8.2-alt1

Total 158 error logs.


Sisyphus-cybertalk